Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           emerald
Url:            http://www.opencompositing.org/
License:        GPL
Group:          User Interface/Desktops
Version:        0.7.6
Release:        1

Summary:        Themeable window decorator and compositing manager for Compiz Fusion
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:        http://releases.compiz-fusion.org/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:  compiz-devel >= %{version}
BuildRequires:  libwnck-devel, gtk2+-devel
BuildRequires:  intltool, desktop-file-utils
BuildRequires:  perl(XML::Parser), gettext-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Emerald is themeable window decorator and compositing 
manager for Compiz Fusion.


%package devel
Summary: Development files for emerald
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The emerald-devel package provides development files
for emerald, the themeable window decorator for Compiz Fusion.


%prep
%setup -q
# Should only have one Exec line in a desktop file...
perl -pi -e 's|Exec=emerald-theme-manager -i||g' misc/emerald-theme-manager.desktop
# Death to rpaths...
perl -pi -e 's|hardcode_into_libs=.*|hardcode_into_libs=no|g' configure
perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' configure
perl -pi -e 's|runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' configure


%build
%configure --enable-librsvg --disable-mime-update --disable-kde
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#desktop-file-install --vendor fedora --delete-original \
#  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
#  --add-category X-Fedora \
#  $RPM_BUILD_ROOT%{_datadir}/applications/emerald-theme-manager.desktop
# Fix up xy_XY to just xy
#for lang in tr_TR
#do
#  dest=$(echo ${lang} | cut -d_ -f1)
#  mv $RPM_BUILD_ROOT%{_datadir}/locale/${lang} \
#    $RPM_BUILD_ROOT%{_datadir}/locale/${dest}
#done
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
update-mime-database %{_datadir}/mime &>/dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun
/sbin/ldconfig
update-mime-database %{_datadir}/mime &>/dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_datadir}/pixmaps/*
%dir %{_libdir}/emerald
%{_libdir}/emerald/*
%{_libdir}/libemeraldengine.so.*
%dir %{_datadir}/emerald
%dir %{_datadir}/emerald/theme
%{_datadir}/emerald/theme/*
%{_datadir}/emerald/settings.ini
%{_datadir}/applications/*
%{_datadir}/mime-info/*
%{_datadir}/mime/packages/*
%{_datadir}/icons/hicolor/48x48/mimetypes/*
%{_mandir}/man1/*.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libemeraldengine.so
%{_libdir}/*.a
%{_libdir}/*.la
%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.6-1
- Version update
* Tue May 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.4-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-1
- Version update
* Sat Oct 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-1
- Version update
* Tue Oct 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.2-2
- rebuild against latest libwnck
* Thu Sep 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.2-1
- Version update / compiz
* Fri Mar 23 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.1-1
- Version update
* Tue Jan 23 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.1.99.2-1
- Version Update
* Wed Dec 27 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.1.4-1
- Version Update
* Tue Dec 19 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.1.3-1
- Version Update
* Fri Nov 24 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.1.2-2
- Version Update to SVN Revision 1419
* Sun Nov 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.1.2-1
- Version Update to SVN Revision 1152
* Sat Nov 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.1.1-1
- Initial Release
